/*
    Copyright (C) 2000 - 2001 Kai Heitkamp, kai@kde.org
                              Holger Freyther, freyther@yahoo.com

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

 */

#ifndef TRACKLISTVIEWITEM_H
#define TRACKLISTVIEWITEM_H

#include <klistview.h>

/**
  *@author Kai Heitkamp, Holger Freyther
  */

class TrackListViewItem : public KListViewItem  {

public:
	TrackListViewItem( KListView *parent, int track, QString src, QString cd_text, int size );
	~TrackListViewItem();
  QString cdtext();
  QString source();
  int size();
  int tracknumber( );
  void setCDText( QString cd_text );
  void setSource( QString source );
  void setTrack( int track );
  void setSize( int size );

protected:
  int t_track;
  QString t_src;
  QString t_cd_text;
  int t_size;
};

#endif
